\documentclass[a4paper,10pt]{article}

\renewcommand*{\tablename}{\small\textbf{Table}}
\renewcommand*{\figurename}{\small\textbf{Figure}}
\renewcommand*{\abstractname}{\small\textbf{Abstract}}

\begin{document}

\title{\textbf{RS232 bus}}
\author{Pawel Dziepak}
\date{\textit{July 30, 2008}}
\maketitle

\section{Initialization}

\paragraph{}In most cases serial port is ready to use just after system is booted. However
to avoid crashes on mainboards that behaves slightly different than the
majority Quarn OS sets all needed configuration by itself.

\paragraph{}First step is to set needed speed. (description how to set speed)

\begin{table}
\begin{tabular}{ll}
\textbf{bit} & \textbf{meaning} \\
0-1 &	00 - 5 bits of data will be transmitted \\
&	01 - 6 bits           " " \\
&	10 - 7 bits           " " \\
&	11 - 8 bits           " " \\
2 &	if bit is set there will be to stop bits, if not there will be \\
&	only one \\
3-5 &	parity control mode: \\
&	000 - turned off \\
&	001 - \\
&	011 - \\
&	100 - mark \\
&	111 - space \\
6 &	if set connection will be broken \\
7 &	if set dividers registers will be available, if zeroed buffers \\
&		will be available
\end{tabular} 
\caption{LCR}
\label{lcr}
\end{table} 

\paragraph{}Then driver has to set format of data that are going to be send via the port.
To do this LCR (table \ref{lcr}) register is used (0x3fb or 0x2fb). Meaning of each bit of the
reigster is explained on the following list:

\begin{table}
\begin{tabular}{ll}
\textbf{bit} & \textbf{meaning} \\
0 &if set interrupt will be generated when a byte will be received \\
1 & if set interrupt will be generated when (no idea) \\
2 & if set interrupt will be generated on error \\
3 & \\
4-7 & reserved
\end{tabular} 
\caption{IMR}
\label{imr}
\end{table} 

\paragraph{}Then driver has to configure serial port that it will make interrupt request
when there is a byte in the receiver buffer. Table \ref{imr} presents register IMR (0x3f9 or 0x2f9)
which is used to set this.

\section{Receiving and sending data}

\end{document}
